"use strict"

//1-
//змінну можна оголосити двома валідними методами; 'const' й 'let'
//різниця між ними в тому що 'let' можна перезаписати а 'const' ні
//е ще третій старий спосіб, а саме 'var' у нього був й є один недолік, він не вміє працювати з областтю видимості

//2-
//рядок можна створити трьома методами. а саме:
//звичайні лапки "" або '' між ними великої різниці немає
//або використати покошені лапки `` й так ми зможемо створити шаблонний рядок, який є більш гибким

//3-
//перевірити тип данних у js можна завдяки оператору 'typeof'

//4-
//одинадцять виходить завдяки конкатинації. тобто, плюс завжди підтягує число у рядок, й таким чином виходить "11"
//мінус, ділення, множення, роблять навпаки плюсу, вони підтягують string у number

//_______________________________________________________________________________________________________________________

//1-
const ten = 10;
console.log(typeof ten);

//2-
let name = 'roman';
let lastName = 'gamza';
const message = `my name is ${name}, ${lastName}`;
console.log(message);

//3-
const number = 13;
console.log(number.toString())
